<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center">

    <nl.dionsegijn.konfetti.xml.KonfettiView
        android:id="@+id/confettiView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center" />

    <View
        android:layout_width="104dp"
        android:layout_height="104dp"
        android:layout_gravity="center"
        android:background="@drawable/toggle_button_bg_outline" />

    <com.google.android.material.button.MaterialButton
        android:id="@+id/toggle"
        android:layout_width="96dp"
        android:layout_height="96dp"
        android:layout_gravity="center"
        android:checkable="true"
        android:insetTop="0dp"
        android:insetBottom="0dp"
        android:insetLeft="0dp"
        android:insetRight="0dp"
        android:text=""
        app:icon="@drawable/ic_power_settings_new_24"
        app:iconTint="@color/toggle_button_icon"
        app:backgroundTint="@color/toggle_button_bg"
        app:iconSize="48dp"
        app:iconGravity="textTop"
        app:iconPadding="0dp"
        app:cornerRadius="48dp" />
</FrameLayout>
